<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>AdminKW | Beginning Inventory</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="adminlte/bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- bootstrap datepicker -->
		<link rel="stylesheet" href="adminlte/plugins/datepicker/datepicker3.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="adminlte/plugins/select2/select2.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="adminlte/plugins/datatables/dataTables.bootstrap.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="adminlte/dist/css/AdminLTE.min.css">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="adminlte/dist/css/skins/_all-skins.min.css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body class="hold-transition skin-blue sidebar-mini">
    
    <!-- Site wrapper -->
    <div class="wrapper">

      <header class="main-header">
        <!-- Logo -->
        <a href="<?php site_url(); ?>" class="logo">
          <!-- mini logo for sidebar mini 50x50 pixels -->
          <span class="logo-mini"><b>A</b>KW</span>
          <!-- logo for regular state and mobile devices -->
          <span class="logo-lg"><b><?php echo $this->session->user["branch"]; ?></b>&nbsp;Branch</span>
        </a>
        
        <?php $this->load->view('pages/topnav'); ?>

      </header>

      <!-- Left navigation -->
      <?php $this->load->view('pages/leftnav'); ?>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            Stock In
            <small>it all starts here</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="<?php echo site_url(); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Examples</a></li>
            <li class="active">Beginning Inventory</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">

          <?php 
            if(validation_errors() != "")
            {
          ?>
          <div class="alert alert-danger alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <h4><i class="icon fa fa-ban"></i> Opppppps!</h4>
            <?php echo validation_errors(); ?>
          </div>
          <?php } ?>

          <div class="box box-info">
              <div class="box-body">
                <div class="row">
                  <div class="col-xs-12">
                    <form method="get">
                    <div class="form-group">
                      <label for="transDate">Set Transaction Date</label>
                      <div class="input-group">
                        <div class="input-group-addon">
                          <i class="fa fa-calendar"></i>
                        </div>
                        <input id="transDate" name="transDate" type="text" class="form-control datepicker" data-inputmask="'alias': 'mm/dd/yyyy'" data-mask value="<?php echo $selectedDate; ?>">
                        <span class="input-group-btn">
                          <button class="btn btn-info btn-flat" type="submit">Set Date</button>
                        </span>
                      </div>
                      <!-- /.input group -->
                    </div>
                    </form>
                  </div>
                </div>
              </div>
          </div>

          <!-- Default box -->
          <div class="box">
            <?php
            $frmSaveBeginningInventoryAttributes = array("onkeydown" => "return event.key != 'Enter'"); 
            echo form_open('saveBeginningInventoryPrevDate?transDate='.$selectedDate, $frmSaveBeginningInventoryAttributes); 
            ?>
              <div class="box-header with-border">
                <h3 class="box-title">Preparing Beginning Inventory for <?php echo $selectedDate; ?>. Your transaction ID would be <?php echo $transactionID; ?></h3>
              </div>
              <div class="box-body">
                <div class="row">
                  <div class="col-xs-12">
                  <table class="table table-bordered">
                    <thead><th style="width:75px;">No</th><th>Category</th><th style="width:150px;">Beginning Qty</th></thead>
                    <tbody><?php echo $htmlTableList; ?></tbody>
                  </table>
                  </div>
                </div>
              </div><!-- /.box-body -->
              <div class="box-footer">
                <button type="submit" class="btn btn-primary" <?php echo $btnSave; ?>>Save Beginning Inventory</button> &nbsp;
                <a type="submit" class="btn btn-warning" <?php echo $btnReset; ?> href="resetBeginninginventoryPrevDate?transDate=<?php echo $selectedDate; ?>">Reset Beginning Inventory</a>
              </div><!-- /.box-footer-->
            </form>
          </div><!-- /.box -->

        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->

      <footer class="main-footer">
        <div class="pull-right hidden-xs">
          <b>Version</b> 2.3.0
        </div>
        <strong>Copyright &copy; 2014-2015 <a href="http://almsaeedstudio.com">Almsaeed Studio</a>.</strong> All rights reserved.
      </footer>
    </div><!-- ./wrapper -->

    <!-- jQuery 2.1.4 -->
    <script src="adminlte/plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="adminlte/bootstrap/js/bootstrap.min.js"></script>
    <!-- InputMask -->
    <script src="adminlte/plugins/input-mask/jquery.inputmask.js"></script>
    <script src="adminlte/plugins/input-mask/jquery.inputmask.date.extensions.js"></script>
    <script src="adminlte/plugins/input-mask/jquery.inputmask.extensions.js"></script>
    <!-- datepicker -->
    <script src="adminlte/plugins/datepicker/bootstrap-datepicker.js"></script>
    <!-- DataTables -->
    <script src="adminlte/plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="adminlte/plugins/datatables/dataTables.bootstrap.min.js"></script>
    <!-- SlimScroll -->
    <script src="adminlte/plugins/slimScroll/jquery.slimscroll.min.js"></script>
    <!-- FastClick -->
    <script src="adminlte/plugins/fastclick/fastclick.min.js"></script>
    <!-- AdminLTE App -->
    <script src="adminlte/dist/js/app.min.js"></script>
    <!-- Select2 -->
	  <script src="adminlte/plugins/select2/select2.full.min.js"></script>
    <script>
      $(function () {
        //Initialize Select2 Elements
    	  $(".select2").select2();

        //Datemask dd/mm/yyyy
        //$("#dtTransDate").inputmask("mm/dd/yyyy", {"placeholder": "mm/dd/yyyy"});
        $('.datepicker').datepicker({
            format: 'mm/dd/yyyy'
        });
        //Money Euro
        $("[data-mask]").inputmask();

      });

      function onCategoryChange()
      {
        $("#txtModelNo").val($('#cmbCategory').find(":selected").val() + "-");
      }
    </script>
  </body>
</html>
